Module jdk.compiler
Package com.sun.source.tree

# Interface CompoundAssignmentTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `ExpressionTree`, `Tree`

public interface CompoundAssignmentTree extends ExpressionTree
A tree node for compound assignment operator. Use `getKind` to determine the kind of operator. For example:

       variable operator expression

See Java Language Specification:
  15.26.2 Compound Assignment Operators
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression on the right hand side of the compound assignment.
`ExpressionTree`
`getVariable()`
Returns the variable on the left hand side of the compound assignment.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getVariable

ExpressionTree getVariable()
Returns the variable on the left hand side of the compound assignment.

Returns:
  the variable

### getExpression

ExpressionTree getExpression()
Returns the expression on the right hand side of the compound assignment.

Returns:
  the expression